<h1 align="center">
 <a href="https://www.phyrepanel.com">
  <picture>
    <source media="(prefers-color-scheme: dark)" srcset="https://phyrepanel.com/phyre-logo.svg"/>
    <img height="69" src="https://phyrepanel.com/phyre-logo.svg"/>
  </picture>
 </a>
 <br />
</h1>
<p align="center">
 Powerful Linux multi-platform hosting control panel designed to simplify the process of managing web hosting servers. 
</p>
<p align="center">
  <a href="https://www.phyrepanel.com/"><img src="https://img.shields.io/badge/Website-blue?logo=googlechrome&logoColor=black"/></a>
  <a href="https://discord.gg/vsxBuMFK"><img src="https://img.shields.io/discord/1227542192189603872?logo=discord&label=discord"/></a>
  <a href="https://github.com/PhyreApps/PhyrePanel"><img src="https://img.shields.io/github/stars/PhyreApps/PhyrePanel" /></a>
  <a href="https://github.com/PhyreApps/PhyrePanel/blob/main/LICENSE"><img src="https://img.shields.io/github/license/PhyreApps/PhyrePanel"/></a>
  <a href="https://drone.phyrecloud.com/PhyreApps/PhyrePanel"><img src="https://drone.phyrecloud.com/api/badges/PhyreApps/PhyrePanel/status.svg"/></a>
  <a href="https://codecov.io/gh/PhyreApps/PhyrePanel"><img src="https://codecov.io/gh/PhyreApps/PhyrePanel/graph/badge.svg?token=BO0RTPLS4W"/></a>
</p>

<p align="center"> 
<a href="https://www.buymeacoffee.com/phyre" style="display: inline-block;margin: 15px 0px;">
    <img src="https://img.buymeacoffee.com/button-api/?text=Support Phyre Panel&emoji=&slug=phyre&button_colour=FFDD00&font_colour=000000&font_family=Cookie&outline_colour=000000&coffee_colour=ffffff" alt="Support Phyre Panel" style="height: 40px !important; ">
</a>
</p>

![Phyre Panel - Dashboard](screenshots/dashboard.png)
## About PHYRE PANEL

PHYRE PANEL is a powerful Linux multi-platform hosting control panel designed to simplify the process of managing web hosting servers. Whether you're a seasoned sysadmin or just starting out, PHYRE PANEL provides an intuitive interface and robust features to streamline your hosting management tasks.

## Installation
To install PhyrePanel, you need to run this commands:
```
wget https://raw.githubusercontent.com/PhyreApps/PhyrePanel/main/installers/install.sh && chmod +x install.sh && ./install.sh
```
The admin panel can be opened on port: yourserver.com:8443

## Updating
To update PhyrePanel, you need to run this commands:
```
rm -rf update.sh && wget https://raw.githubusercontent.com/PhyreApps/PhyrePanel/main/web/update.sh && chmod +x update.sh && ./update.sh
```

## Documentation
For more information, please refer to the [documentation](https://docs.phyrepanel.com/introduction/getting-started.html).

## Build Status

### Master branch
[![Build Status](https://drone.phyrecloud.com/api/badges/PhyreApps/PhyrePanel/status.svg)](https://drone.phyrecloud.com/PhyreApps/PhyrePanel)
[![codecov](https://codecov.io/gh/PhyreApps/PhyrePanel/graph/badge.svg?token=BO0RTPLS4W)](https://codecov.io/gh/PhyreApps/PhyrePanel)

All development is done on the `dev` branch. The `master` branch is used for stable releases.

Please note that the `dev` branch is not guaranteed to be stable at all times, and may contain bugs or other issues. Use it at your own risk.

Please submit all pull requests to the `dev` branch.

## Server Application Types Supported

PHYRE PANEL supports a variety of server application types, including:

- **Apache + PHP:** Versions 7.4, 8.0, 8.1, 8.3, and 8.4
- **Apache + NodeJS**
- **Apache + Python**
- **Apache + Ruby**
- **Apache + Docker (Via Proxy Reverse)**

## Getting Started

To get started with PHYRE PANEL, follow these simple steps:

1. **Installation:** Visit [our website](https://phyrepanel.com) to download the installation package for your server environment.
2. **Configuration:** Follow the installation instructions to set up PHYRE PANEL on your server.
3. **Access:** Once installed, access PHYRE PANEL via your web browser and log in using your credentials.
4. **Explore:** Take some time to explore the features and functionalities of PHYRE PANEL and start managing your hosting environment with ease.

## Connect with Us

Stay up to date with the latest news and updates from PHYRE PANEL:

- Website: [https://phyrepanel.com](https://phyrepanel.com)
- Discord: [https://discord.gg/yfFWfrfwTZ](https://discord.gg/yfFWfrfwTZ)

We hope you enjoy using PHYRE PANEL to simplify your hosting management tasks!


## Contributing

We welcome contributions from the community to help improve PHYRE PANEL. If you have ideas for new features, bug fixes, or other enhancements, please feel free to [open an issue](https://github.com/PhyreApps/PhyrePanel/issues) or submit a pull request.

## Support

For support and assistance with PHYRE PANEL, please visit our [documentation](https://phyrepanel.com/docs) or reach out to our [support team](mailto:support@phyrepanel.com).

## Integrations

- WHMCS Plugin
[https://github.com/PhyreApps/PhyrePanelWHMCSPlugin](https://github.com/PhyreApps/PhyrePanelWHMCSPlugin)

## Features

- **User-Friendly Interface:** PHYRE PANEL offers a clean and intuitive user interface, making it easy for users to manage their hosting environment.
- **Multi-Platform Support:** Compatible with various Linux distributions, PHYRE PANEL ensures flexibility and accessibility across different server setups.
- **Powerful Management Tools:** From domain management to database administration, PHYRE PANEL equips users with a comprehensive set of tools to efficiently manage their hosting infrastructure.
- **Security and Reliability:** Built with security in mind, PHYRE PANEL includes features such as SSL management and automated backups to ensure the safety and reliability of your hosting environment.
- **Scalability:** Whether you're hosting a small blog or a large e-commerce website, PHYRE PANEL scales with your needs, providing seamless scalability as your business grows.
- **Customization:** With support for multiple server application types, PHYRE PANEL allows users to customize their hosting environment to suit their specific requirements.
- **Community Support:** Join our community of users and developers to share ideas, ask questions, and collaborate on improving PHYRE PANEL.
- **Regular Updates:** Stay up to date with the latest features and enhancements through regular updates and releases of PHYRE PANEL.
- **Documentation:** Access our comprehensive documentation to learn more about PHYRE PANEL and how to make the most of its features.
- **Support:** Get assistance from our support team to help you with any issues or questions you may have while using PHYRE PANEL.
- **Open Source:** PHYRE PANEL is open source software, allowing users to contribute to its development and customize it to meet their specific needs.
- **Mobile-Friendly:** Access PHYRE PANEL from your mobile device to manage your hosting environment on the go.
- **Developer-Friendly:** PHYRE PANEL provides APIs and tools for developers to integrate with other applications and extend its functionality.
- **High Performance:** Built for speed and performance, PHYRE PANEL ensures that your hosting environment runs smoothly and efficiently.
- **Automatic Updates:** Keep your server up to date with the latest security patches and features through automatic updates provided by PHYRE PANEL.
- **Backup and Restore:** Protect your data with automated backups and easily restore your server to a previous state if needed.- **Database Management:** Easily create, manage, and back up databases using the built-in database management tools provided by PHYRE PANEL.
- **SSL Management:** Secure your websites with SSL certificates and manage them easily through the SSL management tools provided by PHYRE PANEL.
- **Cron Jobs:** Schedule tasks to run at specific intervals using the built-in cron job management tools provided by PHYRE PANEL.
- **Logs and Analytics:** View and analyze server logs and statistics to monitor your server's performance and troubleshoot any issues that may arise.
- **API Integration:** Integrate PHYRE PANEL with other applications and services using the provided APIs and tools, allowing you to extend its functionality and automate tasks.
- **One-Click Installs:** Install popular web applications such as WordPress, Joomla, and Drupal with just one click, using the one-click installers provided by PHYRE PANEL.

## License

PHYRE PANEL is licensed under the [GNU General Public License (GPL) version 3](https://www.gnu.org/licenses/gpl-3.0.en.html). See the [LICENSE](LICENSE) file for details.
