# Features

PHYRE PANEL supports a variety of server application types, including:
- **Apache + PHP:** Versions 7.4, 8.0, 8.1, 8.3, and 8.4
- **Apache + NodeJS:** Version 14.x, 16.x, 20.x
- **Apache + Python:** Version 3.10
- **Apache + Ruby:** Version 3.4
- **Apache + Docker:** (Via Proxy Reverse)

## Hosting Management
- Multi-server clustering support
- Customer account management
- Flexible hosting plans configuration
- Domain management with multiple server types
- Automated SSL certificate management
- Custom PHP, Node.js, Python and Ruby versions per domain
- Git repository integration
- Docker container support

## Database Features
- MySQL/MariaDB support
- PostgreSQL support
- MongoDB support
- SQLite support
- Remote database server management
- Database user management

## Backup & Security
- Automated backup system
- Multiple backup types (full, selective)
- Custom backup schedules (daily, weekly, monthly)
- Configurable backup retention
- Remote backup server support
- IP whitelisting
- API key management

## System Administration
- Cron job management
- Server resource monitoring
- Multi-user administration
- Server clustering capabilities
- Remote server management
- System updates management

## Additional Features
- Custom environment variables support
- Multiple PHP versions per domain
- Node.js package manager support (npm, yarn)
- Development/Production environment switching
- Custom domain configurations
- Server health monitoring
